from termcolor import colored


class Conversation:
    def __init__(self):
        self.conversation_history = []

    def add_message(self, role, content, name=None):
        if name:
            message = {"role": role, "name": name, "content": content}
        else:
            message = {"role": role, "content": content}
        self.conversation_history.append(message)

    def display_conversation(self, detailed=False):
        role_to_color = {
            "system": "red",
            "user": "green",
            "assistant": "blue",
            "function": "magenta",
        }
        for message in self.conversation_history:
            print(
                colored(
                    f"{message['role']}: {message['content']}\n\n",
                    role_to_color[message["role"]],
                )
            )
